### Function

# GLib Variant new_object_path

since: 2.24

#### Declaration [src]

    GVariant*
    g_variant_new_object_path (
      const gchar* object_path
    )

#### Description [src]

Creates a D-Bus object path `GVariant` with the contents of `object_path`. `object_path` must be a valid D-Bus object path. Use `g_variant_is_object_path()` if you’re not sure.

Available since: 2.24

#### Parameters

`object_path`

  Type: `const gchar*`

  A normal C nul-terminated string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GVariant`

A floating reference to a new object path `GVariant` instance.

The data is owned by the called function.